[project]
name = "rigol-dg2052-python-library"
readme = "README.md"
description = "A library for usage with SCPI compliant function generators (for now the DG2000 series from rigol)"
requires-python = "==3.11.*"
version = "0.0.1"
dependencies = [
    "easy-scpi==0.1.4",
    "ifaddr==0.2.0",
    "pip==23.2.1",
    "psutil==5.9.7",
    "PyVISA==1.14.1",
    "PyVISA-py==0.7.1",
    "setuptools==65.5.0",
    "typing_extensions==4.9.0",
    "zeroconf==0.131.0",
    "typing-extensions==4.9.0",
]
authors = [
    {name = "Ali Nwegy", email = "ali.el-nwegy@tuhh.de"},
]
license = {text = "MIT"}

[tool.setuptools]
packages = [
    "fn_gen",
    "rigol_dg2052_python_library",
]

[tool.pdm]
distribution = true
